Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 327491 - app-portage/layman-1.4.0 FAIL: Doctest: layman.overlays.tar.TarOverlay
Summary: app-portage/layman-1.4.0 FAIL: Doctest: layman.overlays.tar.TarOverlay
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Sebastian Pipping
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2010-07-08 14:50 UTC by David Abbott
Modified: 2010-07-09 18:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Abbott gentoo-dev 2010-07-08 14:50:32 UTC
======================================================================
FAIL: Doctest: layman.overlays.tar.TarOverlay
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib64/python2.6/doctest.py", line 2153, in runTest
    raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for layman.overlays.tar.TarOverlay
  File "/var/tmp/portage/app-portage/layman-1.4.0/work/layman-1.4.0/layman/overlays/tar.py", line 40, in TarOverlay

----------------------------------------------------------------------
File "/var/tmp/portage/app-portage/layman-1.4.0/work/layman-1.4.0/layman/overlays/tar.py", line 66, in layman.overlays.tar.TarOverlay
Failed example:
    a.add(testdir) #doctest: +ELLIPSIS
Expected:
    * Running command "/bin/tar -v -x -f...
Got:
    * Running... # /bin/tar -v -x -f /tmp/file38r78L/dummy.tar.bz2 -C /tmp/file38r78L/tmpPoHek7
    * Deleting directory "/tmp/file38r78L/tmpPoHek7"
    0


----------------------------------------------------------------------
Ran 16 tests in 0.087s

FAILED (failures=1)
 * ERROR: app-portage/layman-1.4.0 failed:
 *   test suite 'layman/tests/dtest.py' failed
 * 
 * Call stack:
 *     ebuild.sh, line   48:  Called src_test
 *   environment, line 4810:  Called python_execute_function 'testing'
 *   environment, line 3522:  Called testing
 *   environment, line 4807:  Called die
 * The specific snippet of code:
 *               PYTHONPATH="." "$(PYTHON)" ${suite} || die "test suite '${suite}' failed";
 * 
 * If you need support, post the output of 'emerge --info =app-portage/layman-1.4.0',
 * the complete build log and the output of 'emerge -pqv =app-portage/layman-1.4.0'.
 * The complete build log is located at '/var/tmp/portage/app-portage/layman-1.4.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-portage/layman-1.4.0/temp/environment'.
 * S: '/var/tmp/portage/app-portage/layman-1.4.0/work/layman-1.4.0'



Reproducible: Always




emerge --info =app-portage/layman-1.4.0
Portage 2.2_rc67 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-dabbott x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.34-dabbott-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q8200_@_2.33GHz-with-gentoo-2.0.1
Timestamp of tree: Thu, 08 Jul 2010 14:00:23 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.5, 4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms split-log strict test test-fail-continue unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://ftp.gtlib.gatech.edu/pub/gentoo http://www.gtlib.gatech.edu/pub/gentoo ftp://mirror.mcs.anl.gov/pub/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/perl-experimental /usr/local/portage/layman/gnome /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 avahi bash-completion berkdb bindist bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr cdrtools cleartype cli colordiff consolekit corefonts cracklib crypt cups cxx dbus device-mapper doc dri dts dvd dvdnav dvdr eds emboss emerald encode evo exif extensions extras fam ffmpeg firefox firefox3 flac fontconfig foomaticdb fortran fts3 gdbm gdu gif gimp git glitz gnome gnome-keyring gnutls gpg gpm graphviz gstreamer gtk gtk2-perl guidexml hal iconv imagemagick ipv6 jadetex java jpeg kde kdrive lame lcms ldap libnotify lm_sensors mad mdnsresponder-compat mikmod mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib mysql nautilus ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl plugins png policykit ppds pppd python qt3support qt4 readline reflection sdl secure-delete session sip slang spell spl sqlite sqlite3 sse sse2 ssl startup-notification subversion svg svgz sysfs tcpd templates themes theora threads tiff tk totem truetype unicode usb v4l2 vhosts vim vim-syntax vim-with-x vorbis wav x264 xcb xcomposite xft xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nv nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

app-portage/layman-1.4.0 was built with the following:
USE="git (multilib) subversion test -bazaar -cvs -darcs -mercurial"
Comment 2 David Abbott gentoo-dev 2010-07-08 15:52:40 UTC
(In reply to comment #1)
> Fixed in Git, thanks for reporting!
> 
> http://layman.git.sourceforge.net/git/gitweb.cgi?p=layman/layman;a=commitdiff;h=2024dd0c9337f91a676ec821bfca59246501ffae
> 
Your welcome Sebastian :)
Comment 3 Sebastian Pipping gentoo-dev 2010-07-09 18:56:21 UTC
+*layman-1.4.1 (09 Jul 2010)
+
+  09 Jul 2010; Sebastian Pipping <sping@gentoo.org> +layman-1.4.1.ebuild:
+  Bump to 1.4.1
+